
public class CheckingAccount extends BankAccount {
	
	private int transactionCount;
	
	private static final double TRANSACTION_FEE = 3.0;
	
	public CheckingAccount(String newName, double initialBalance) {
		super(newName, initialBalance);
		
		transactionCount = 0;
	}
	
	public void deposit(double amount) {
		super.deposit(amount);
		transactionCount++;
	}
	
	public void withdraw(double amount) {
		super.withdraw(amount);
		transactionCount++;
	}
	
	public void deductFees() {
		super.withdraw(transactionCount*TRANSACTION_FEE);
		transactionCount = 0;
	}

}
